# Create

Launch stage: GA

`POST /api/2.0/instance-profiles/add`

Registers an instance profile in <Databricks>. In the UI, you can then give users the permission
 to use this instance profile when launching clusters.

 This API is only available to admin users.

API scopes: instance-profiles

## Request body

- `skip_validation` (boolean, optional)
  By default, <Databricks> validates that it has sufficient permissions to launch
   instances with the instance profile. This validation uses AWS dry-run mode for
   the RunInstances API. If validation fails with an error message that does not
   indicate an IAM related permission issue,
   (e.g. “Your requested instance type is not supported in your requested availability zone”),
   you can pass this flag to skip the validation and forcibly add the instance profile.
  Default: `false`
- `instance_profile_arn` (string, optional)
  The AWS ARN of the instance profile to register with <Databricks>. This field is required.
  Example: `arn:aws:iam::<account-id>:instance-profile/<name>`
- `is_meta_instance_profile` (boolean, optional)
  Boolean flag indicating whether the instance profile should only be used in credential
    passthrough scenarios. If true, it means the instance profile contains an meta IAM role
    which could assume a wide range of roles. Therefore it should always be used with
    authorization.
    This field is optional, the default value is `false`.
  Default: `false`
- `iam_role_arn` (string, optional)
  The AWS IAM role ARN of the role associated with the instance profile.
   This field is required if your role name and instance profile name do
   not match and you want to use the instance profile with
   [Databricks SQL Serverless](https://docs.databricks.com/sql/admin/serverless.html).
  
   Otherwise, this field is optional.
  Example: `arn:aws:iam::<account-id>:role/<name>`

## Response

```json
{}
```

